List collected answers, newest first
curl --request GET \
--url https://api.seomator.com/v1/projects/{id}/answers \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.seomator.com/v1/projects/{id}/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.seomator.com/v1/projects/{id}/answers"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"answers": [
{
"id": "<string>",
"promptId": "<string>",
"assistant": "chatgpt",
"runDate": "<string>",
"status": "<string>",
"outcome": "<string>",
"analysisStatus": "pending",
"model": "<string>",
"capturedAt": "<string>",
"failCode": "no_result",
"named": [
"<string>"
],
"sourceCount": 123,
"citationCount": 123,
"excerpt": "<string>",
"sourceDomains": [
"<string>"
],
"linkDomains": [
"<string>"
]
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}List collected answers, newest first
One row per prompt × assistant × day, including failed ones (status), so coverage can be shown.
GET
/
v1
/
projects
/
{id}
/
answers
List collected answers, newest first
curl --request GET \
--url https://api.seomator.com/v1/projects/{id}/answers \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.seomator.com/v1/projects/{id}/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.seomator.com/v1/projects/{id}/answers"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"answers": [
{
"id": "<string>",
"promptId": "<string>",
"assistant": "chatgpt",
"runDate": "<string>",
"status": "<string>",
"outcome": "<string>",
"analysisStatus": "pending",
"model": "<string>",
"capturedAt": "<string>",
"failCode": "no_result",
"named": [
"<string>"
],
"sourceCount": 123,
"citationCount": 123,
"excerpt": "<string>",
"sourceDomains": [
"<string>"
],
"linkDomains": [
"<string>"
]
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
Path Parameters
Project id (proj_…) or slug (the domain with dots as dashes).
Query Parameters
Required range:
1 <= x <= 100Maximum string length:
64Available options:
chatgpt, ai_mode, gemini Comma-separated assistants, for example chatgpt,gemini
Maximum string length:
64Available options:
informational, commercial, transactional Prompts that name your brand, the others, or all (default)
Available options:
non_branded, branded, all analyzed lists only the answers that were read
Available options:
pending, analyzed, unparsed text lists only answers with text; with analysisStatus: analyzed these are the answers the reports count
Available options:
text, no_ai_mode, non_text Only answers that name this brand (brd_…)
Maximum string length:
64Only answers that read, cite or link a page of this domain (example.com)
Maximum string length:
2048Only answers that read, cite or link this page (its full URL)
Maximum string length:
2048